Package org.jboss.resteasy.client.jaxrs.internal

## Class FinalizedClientResponse

- java.lang.Object
- - javax.ws.rs.core.Response
  - - org.jboss.resteasy.specimpl.AbstractBuiltResponse
    - - org.jboss.resteasy.specimpl.BuiltResponse
      - - org.jboss.resteasy.client.jaxrs.internal.ClientResponse
        - - org.jboss.resteasy.client.jaxrs.internal.FinalizedClientResponse

- All Implemented Interfaces:
    `AutoCloseable`
  Direct Known Subclasses:
    `AbortedResponse`

      public abstract class FinalizedClientResponse
      extends ClientResponse

  A class that adds a {@link Object#finalize) method to the {@link ClientResponse} as a last ditch backstop to prevent leaking resources with ill-behaved clients. Use of finalize could incur a significant performance penalty.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `AbstractBuiltResponse.InputStreamWrapper<T extends BuiltResponse>`

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Response

      `javax.ws.rs.core.Response.ResponseBuilder, javax.ws.rs.core.Response.Status, javax.ws.rs.core.Response.StatusType`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.internal.ClientResponse

      `configuration, properties, tracingLogger`

    - ### Fields inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `annotations, bufferedEntity, entity, entityClass, genericType, is, isClosed, metadata, processor, reason, status, streamFullyRead, streamRead`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FinalizedClientResponse​(ClientConfiguration configuration, RESTEasyTracingLogger tracingLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.ClientResponse

      `abortIfClosed, bufferEntity, close, getEntity, getEntityClass, getEntityStream, getHeaderValueProcessor, getProperties, hasEntity, noReleaseConnection, readFrom, setClientConfiguration, setHeaders, setInputStream, setProperties`

    - ### Methods inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `getInputStream, readEntity, releaseConnection, releaseConnection`

    - ### Methods inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `addMethodAnnotations, getAllowedMethods, getAnnotations, getCookies, getDate, getEntityTag, getGenericType, getHeaderString, getLanguage, getLastModified, getLength, getLink, getLinkBuilder, getLinks, getLocation, getMediaType, getMetadata, getReasonPhrase, getStatus, getStatusInfo, getStringHeaders, hasLink, isClosed, readEntity, readEntity, readEntity, readEntity, resetEntity, setAnnotations, setEntity, setEntityClass, setGenericType, setMetadata, setReasonPhrase, setStatus, setStreamFullyRead, setStreamRead, toHeaderString`

    - ### Methods inherited from class javax.ws.rs.core.Response

      `accepted, accepted, created, fromResponse, getHeaders, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, status, temporaryRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FinalizedClientResponse

          protected FinalizedClientResponse​(ClientConfiguration configuration,
                                            RESTEasyTracingLogger tracingLogger)

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`